AutoCAD Inventor :: Reuse Virtual Components In Assemblies
Jul 28, 2013
In Inventor you can use "virtual components" in assemblies for things like paint, oil etc. In Vault, these virtual components will get an item number. Is it possible to re-use a virtual component in another assembly?
Like the same paint for 2 different models (maybe just differing in amount). Right now I would have to create a lot of items for the same thing.
I have a VBA macro that places selected virtual components into an assembly. I can place virtual components with different part numbers into the assembly with no problem. When I try to place the second instance of a virtual component with the same part number I get an error.
For example: If I place a virtual component with the part number C123A456 into an assembly it shows in the tree as C123A456:1 If I try to place C123A456 again it errors at this line.
'Add selected line as a virtual part Set oOcc = oOccs.AddVirtual(sPartNumber, oMatrix)
I can place multiple virtual parts if I append -1, -2, -3 etc to the part number but I would like to let Inventor use the :1, :2, :3 to keep track.
getting virtual Components to be included in an Excel output of an assy BOM. I have an existing macro (see code below) that exports the StockNumber, partNumber,Description and an occurrence count of each item to an Excel spreadshet. It all works fine except for Virtual Componenst which are not included. It seems that because no file is created that the VC item can't be included in the Excel doc.
Sub Assy2Excel() Dim oAssDoc As AssemblyDocument Set oAssDoc = ThisApplication.ActiveDocument Dim SIPropSet As PropertySet Set SIPropSet = oAssDoc.PropertySets.Item("Summary Information") Dim rev As String rev = SIPropSet.ItemByPropId(kRevisionSummaryInformation).Value If oAssDoc.DocumentType <> kAssemblyDocumentObject Then MsgBox "The Active document must be an 'Assembly'.", vbExclamation Exit Sub End If
If MsgBox("The generated list is for the use of the Purchasing Department. It counts all of the BOUGHT & MADE parts in the assembly. Some manual editing will be required to 'clean up' the list.
", vbYesNo + vbQuestion) = vbNo Then Exit Sub End If Dim oDocs As DocumentsEnumerator Set oDocs = oAssDoc.AllReferencedDocuments
[code]....
HP Z420 Workstation, Windows 7 x64, 64 GB Ram Intel Xeon E5-1620 @ 3.60 GHz, ATI FirePro V7800 2 GB 3*Dell 2007Fp monitors, SpacePilot Inventor 2013 PDS Premium & Service Pack 2 with Update 3 Vault Workgroup 2013 with Update 2
I use hinges in my door assemblies and they are basically placed into the assembly each time and become flexible so the doors can operate. The hinges are one size and don't change in any way or shape. What is the best practice for inserting these hinges into my door assemblies?
Inventor 2013 Windows 7 Professional 64-bit SP1 HP EliteBook 8470w Processor: Intel(R) Core(TM) i7-3610QM CPU @ 2.30GHz Memory: 16 GB AMD FirePro M2000 3D Connexion SpacePilot
Opening large assemblies containing LODs some components missing. The assemblies are build with inventor 2010 and now is totally migrated in in 2013 SP1.1 Update1. If you open the sub assemblies these are correctly on. I've tried to set visibility on, off, change representation of view, positional and activate various LOD, including Principal LOD.
If you position another instance of the sub assemblies, one is on but the other isn't visible. In the drawing all is correctly represented
See the attached .PDF
This occurs in Factory and Product design suite. Graphics card and relative drivers are certificated. I can't attach a P&G because is a very large file (250Mb).
How do I make referenced components from parts and assemblies? (I searched the web and it said that that you can change it in the iProperties by selecting the Reference tick box under the occurance tab - but no such thing exists in Inventor 2011!
Suppose you have a project consisting of various assemblies and individual components. You are now building a new component that ties into many of these. For example, let's say you have put together the guts of a gear box and you now want to carefully construct a housing that encloses the internal components. How do you do that?
The problem I see is that once I click "Create", select a reference plane and then create a new 2D sketch, I can vaguely see phantom views of other components, but I certainly cannot snap to points on those objects, or measure from them, or really do anything with them. I can also detect no particular relationship between the origin point offered in the Sketch environment to the origin of anything else. I am of course coming from the Autocad mentality, where everything can be readily snapped to.
What is the key concept I am missing? I have read a little about top down design, but nothing I have read has really shed light on this fundamental question.
I am working in an Inventor Assembly .iam, I have about 250 fasteners (screws) that are constrained to a flat washer and lock washer. I would like to put them in as a single unit (sub assembly if you will) and then promote or explode them in the top level so that my bom has 250 screws, 250 washers, and 250 lock washers all at the same level, not associated to one another except thru the constraints that were entered in the original assembly. I have tried Promote but that doesn't work because it removes the washers from the original file and I end up with only 1 instance of the assembly. Am I approaching this incorrectly? Is there a better way? I run across this scenario with different components quite often.
I'm new to Inventor. Lets say I create a part called Pipe.ipt. In it I specify the OD, Thk and Length of the pipe. If I then create an Assembly, and I want to use multiple instances of Pipe.ipt, but each instance has a different set of parameters (i.e. different OD, Thk and Length). How do I do this?
I see I can set up iPart, and I could set up tables with the OD and Thickness for various standard pipe sizes. But this doesn't address the length. How do I re-use the same Part in an assembly, but each part has it's own set of unique paramenters?
I am making a truss assembly by connecting a series of nodes with 100 adaptive rods. The node positions are somewhat random, so each rod will be a unique length.
It could be done with 100 adaptive rods. Something like one adaptive part that can be used 100 times in one assembly?
I have an adaptive part which I created within an assembly. I created work planes in this file, based on features in the assembly, and created a sketch on one of these work planes. I used this sketch for an extrusion. then I wanted to reuse the sketch again for another extrusion - normally one needs to select 'Share sketch' from the right-click menu of the sketch, but this is not available. I have already experienced this (random) behaviour, i.e. the 'Share sketch' option missing from the menu. In those case it was ok to make the sketch visible, and then I could use it again. But now it doesn't work. I made it visible, but when I click Extrusion, Inventor wants me to create a sketch, claiming there is no usable sketch.
i have a valve vault assembly that i am creating that has two headers running through a large cylinder vault. how i get a total BOM if i were to create the header assembly file separate from the the total vault assembly file. is there a way to explode the header assembly bom when i do the drawing.
I am using Inventor 2011 and vault. When I go to insert another instance of an IFeature i get a message that says "cannot insert iFeature that is currently open for edit (see attached) The .ide file and the part used to extract the iFeature are both closed and not checked out of the vault.
The only workaround I know of is is to close the file and open it up again.
I am copying a design in the vault & when i go through all the files to ensure they are all to 'copy' there is several which I cannot change their status from 'reuse' to 'copy'
I don't have any of the files checked out & they are all the latest versions.
I have been working with an assembly today where it is ideal to mirror parts and have figured out how to reuse the parts rather than create new parts. Now I find that when the parts are mirrored, they ate not retaining the mates. Where do I find the setting so they either retain their mates, or prefferably retain the mirror so that if I move the origional, the mirror moves as well?
I'm trying to use assemblies when creating a corridor. The Tool Pallette is emply but I can drag the assembiles in from the Catalog. I've also created an assembly using the ASC. Neither work when I try to use them. The error message is attached.
I'm using a network installation and I do not have the option of changing it to a DVD installation.
Is there an easier way to dimension to a virual sharp or place the ordinate dimension origin on a virtual sharp than by trying to drag the point along each line until you get the dotted lines to intersect?
I am using 2012 and am having a problem dimensioning to a virtual sharp.
On the above corner I select the straight edge on top or to the left of the corner. I then right click to bring up the intersect option but the only options I get are one, Snap Settings, Zoom, Pan, and Help.
Do I have a setting off somewhere? Or is there a location where the sharps don't work?
I have a script that is perfectly works in 2012 inventor pro version. It moves newly added virtual parts into the VIRTUAL_PARTS folder. Part of script is below:
Dim oFolder As BrowserFolder Dim oTopNode As BrowserNode oTopNode = oPane.TopNode() Dim oTopNodeOcc As BrowserFoldersEnumerator oTopNodeOcc = oTopNode.BrowserFolders For Each oFolder In oTopNode.BrowserFolders i = i + 1 Next If i = 0 Then oFolder = oPane.AddBrowserFolder("VIRTUAL_PARTS", oOccurrenceNodes) Else For Each oFolder In oTopNode.BrowserFolders If oFolder.Name = "VIRTUAL_PARTS" Then For Each oOcc In oAsmCompDef.Occurrences If TypeOf oOcc.Definition Is VirtualComponentDefinition Then oNode = oPane.GetBrowserNodeFromObject(oOcc) End If 'MsgBox(oTopNodeOcc(1).Name) oTopNodeOcc(1).Add(oNode) Next Else ' do nothing End If Next End If
In 2014 pro it works only once, when I add first virtual part. It creates a folder and moves it there. When I add 2nd virtual part it gives me a error
I am trying to use iLogic to programatically create virtual components in an assembly. These components will by used as iProperty "buckets" to hold Machine Center specific information to be exported to production planning software. This information is hierarchical in nature and cannot be (conveniently) stored in the assembly iproperties directly.
How to add a virtual part from an excel list to assembly using vb.net plugin. I`d like to know how to change i Properties of the virtual part through vb.net.
The iLogic code that I would typically use is:
Dim occs As ComponentOccurrencesoccs = asmDoc.ComponentDefinition.OccurrencesDim identity As Matrixidentity = ThisApplication.TransientGeometry.CreateMatrix Dim virtOcc As ComponentOccurrenceIf v_qty >= 1 ThenvirtOcc = occs.AddVirtual(sVirtPart, identity) Try iProperties.Value(sVirtPart & ":1", "Project", "Description") = oProp1iProperties.Value(sVirtPart & ":1", "Summary", "Title") = oProp1 Catch End Try.......
so for the plugin I need to re-write this
Dim _invApp As Inventor.ApplicationDim occs As ComponentOccurrencesoccs = asmDoc.ComponentDefinition.Occurrences Dim identity As Matrixidentity = _invApp.TransientGeometry.CreateMatrix Dim virtOcc As ComponentOccurrence If vp_qty >= 1 Then virtOcc = occs.AddVirtual(sVirtPart, identity) 'Try ' iProperties.Value(sVirtPart & ":1", "Project", "Description") = oProp1 ' iProperties.Value(sVirtPart & ":1", "Summary", "Title") = oProp1 'Catch 'catch error when oProp1 = nothing 'End Try
How should I re-write the text in bold , so it works?
I would like to include Terminals and other virtual parts in het BOM on my drawing. For this I need to generate a report. I have defined my own virtual parts but somhow their properties are not accessible. You can see 88 items but this is the total of all segements and pins. Somehow partnumbers show as "---". I have included the report configuration file I am using.
I'm currently using Inventor Professional 2012, and have been experiencing problems with virtual memory usage. In past versions of Inventor, the small bar graph counter at the bottom right-hand corner of the screen (Virtual memory counter? Not sure what to call it...) would "re-fresh" after closing a model, drawing, etc. (i.e. Once closing the file, the counter would change from yellow to green, bringing the virtual memory usage back to zero). However, this isn't happening with 2012, and I'm not sure if the problem is the way Inventor was installed onto my workstation, or if it's a problem with the hardware. A temporary solution has been to shut down Inventor when the bar graph gets too far into the yellow range (or red), and then starting up Inventor again.
Specs for my workstation are as follows: Windows 7 (32-bit), processor is Intel(R) Xeon(R) CPU W3503 @ 2.4GHz 2.39GHz, 3GB RAM.
How do I ad my own terminals, seals etc. under Connecter Pin Propertiesvirtual parts, and how do get this information on the nailboard.
Alternatively, I would to put this information(seals and terminals that are to be used with the connector) directly on the connector that i publish to content center, some sort of property/text, that I can retrieve on the drawing/nailboard.
I thought I had virtual sharps figured out but I guess not. I can dimension to the virtual sharps point but the wittness lines are not showing up. Thus it appears that the dimension is to something off in space. Where do I find the setting to show the wittness lines and select the style of lines? As I wrote this I thought of "styles editor" but I didn't fijnd anything there either.
Inventor Premium 2013 SP1.1 Vault 2013- plain vanilla version HP G71 notebook celeron cpu w 4gb RAM and 64 bit system Win 7 home premium
Here in some IAM mine, i need to put a % more of some parts, so I decided to use virtual components for that. It worked great, but I'm with 2 doubts to get faster doing that.
1º - Is there a way to link the properties of a virtual component, to an existing part ? Like mass, part number and some Customs too. That would be easier in this case, when I need just put some more parts without change the modeling visual.
2º - Can I use a template to create a virtual component ? I did some searches, but I just found topics from 2005 that it wasn't possible, but with IV 2013 or even 2014 is that possible ? I have here many custom properties that I always have to create again in virtual components.
I`m working on the code that reads a list of virtual parts from Excel and adds required qty into the assembly. So far it looks good, I just need to know how to create a folder in a Assembly view tree and save virtual part in that folder instead of placing it in the root.
Dim occs As ComponentOccurrences occs = asmDoc.ComponentDefinition.Occurrences Dim identity As Matrixidentity = ThisApplication.TransientGeometry.CreateMatrixDim virtOcc As ComponentOccurrencevirtOcc = occs.AddVirtual(sVirtPart, identity)
I would like to find out how to fix two components in an assembly relative to each other, and using VBA.
What I want to do is to build the assembly (which consists of two components A and B, and also other components) and then animate the joint in component B. In order to do so, I have to fix A to B so that A moves along with the joint motion. But my problem here is that the attachment of A to B is not definite - it depends on other components in the assembly, so I cannot predefine a constrain between the two.
Is there a way I can easily fix two components relative to each other in an assembly without prior knowledge on how they are positioned relative to each other?
I'm thinking of measuring and then constraining the origins of the two part files in 6DOF, but I'm not sure how i can extract the angle between the axes and then constrain them in the correct way (mating using angles has always been confusing for me).